Index: asp3_wo_tecs/trunk/cfg/pass2.rb
===================================================================
--- asp3_wo_tecs/trunk/cfg/pass2.rb	(revision 305)
+++ asp3_wo_tecs/trunk/cfg/pass2.rb	(revision 306)
@@ -51,5 +51,5 @@
 #  ã®è²¬ä»»ãè² ããªãï¼
 #
-#  $Id: pass2.rb 32 2016-01-31 14:45:59Z ertl-hiro $
+#  $Id: pass2.rb 105 2016-03-12 07:55:48Z ertl-hiro $
 #
 
@@ -61,204 +61,301 @@
 #  ãã¹1ã®çæç©ã®èª­ã¿è¾¼ã¿
 #
-def ReadCfg1Out
-  # cfg1_out.symsã®èª­ã¿è¾¼ã¿
-  symbolAddress = ReadSymbolFile(CFG1_OUT_SYMS)
-
-  # cfg1_out.srecã®èª­ã¿è¾¼ã¿
-  begin
-    cfg1SRec = SRecord.new(CFG1_OUT_SREC)
-  rescue Errno::ENOENT, Errno::EACCES => ex
-    abort(ex.message)
-  end
-
-  # ãã¸ãã¯ãã³ãã¼ã®åå¾
-  if symbolAddress.has_key?(CFG1_MAGIC_NUM)
-    $asmLabel = ""
-    cfg1_prefix = CFG1_PREFIX
-  elsif symbolAddress.has_key?("_" + CFG1_MAGIC_NUM)
-    $asmLabel = "_"
-    cfg1_prefix = "_" + CFG1_PREFIX
-  else
-    error_exit("`#{CFG1_MAGIC_NUM}' is not found in `#{CFG1_OUT_SYMS}'")
-  end
-
-  magicNumberData = cfg1SRec.get_data(symbolAddress \
-							[$asmLabel + CFG1_MAGIC_NUM], 4)
-  if (magicNumberData == "12345678")
-    $bLittleEndian = false
-  elsif (magicNumberData == "78563412")
-    $bLittleEndian = true
-  else
-    error_exit("`#{CFG1_MAGIC_NUM}' is invalid in `#{CFG1_OUT_SREC}'")
-  end
-
-  # åºå®åºåããå¤æ°ã®åå¾
-  $sizeOfSigned = cfg1SRec.get_value(symbolAddress \
-							[$asmLabel + CFG1_SIZEOF_SIGNED], 4, false)
-
-  # å¤åå¾ã·ã³ãã«ã®åå¾
-  $symbolValueTable.each do |symbolName, symbolData|
-    symbol = cfg1_prefix + symbolName
-    if symbolAddress.has_key?(symbol)
-      value = cfg1SRec.get_value(symbolAddress[symbol], \
-							$sizeOfSigned, symbolData.has_key?(:SIGNED))
-      if !value.nil?
-        symbolData[:VALUE] = value
-      end
-    end
-  end
-
-  #
-  #  IDçªå·å
-¥åãã¡ã¤ã«ã®åãè¾¼ã¿
-  #
-  $inputObjid = {}
-  if !$idInputFileName.nil?
+module Cfg1Out
+  #
+  #  Sã¬ã³ã¼ããã¡ã¤ã«ããã·ã³ãã«ã®å¤ãåãåºã
+  #
+  def self.GetSymbolValue(symbol, size, signed)
+    if @symbolAddress.has_key?(symbol)
+      return(@cfg1SRec.get_value(@symbolAddress[symbol], size, signed))
+    else
+      return(nil)
+    end
+  end
+
+  #
+  #  ãã¹1ã®çæç©ã®èª­ã¿è¾¼ã¿ï¼ã¡ã¤ã³ã®å¦çï¼
+  #
+  def self.Read
+    # cfg1_out.symsã®èª­ã¿è¾¼ã¿
+    @symbolAddress = ReadSymbolFile(CFG1_OUT_SYMS)
+
+    # cfg1_out.srecã®èª­ã¿è¾¼ã¿
     begin
-      idInputFile = File.open($idInputFileName)
+      @cfg1SRec = SRecord.new(CFG1_OUT_SREC)
     rescue Errno::ENOENT, Errno::EACCES => ex
       abort(ex.message)
     end
 
-    idInputFile.each do |line|
-      ( objidName, objidNumber ) = line.split(/\s+/)
-      $inputObjid[objidName] = objidNumber.to_i
-    end
-
-    idInputFile.close
-  end
-
-  #
-  #  ããã·ã¥ã®åæå
-  #
-  $cfgData = {}
-  objidValue = {}
-  $apiDefinition.each do |apiName, apiDef|
-    if apiDef.has_key?(:API)
-      $cfgData[apiDef[:API].to_sym] = {}
-    end
-    apiDef[:PARAM].each do |apiParam|
-      if apiParam.has_key?(:NAME) && apiParam.has_key?(:ID_DEF)
-        objidValue[apiParam[:NAME]] = {}
-      end
-    end
-  end
-
-  #
-  #  ãªãã¸ã§ã¯ãIDã®å²ãå½ã¦
-  #
-  # IDçªå·å²ãå½ã¦ã®åå¦ç
-  $cfgFileInfo.each do |cfgInfo|
-    # ããªãã­ã»ããµãã£ã¬ã¯ãã£ãã¨æ¶ããéçAPIã¯èª­ã¿é£ã°ã
-    next if (cfgInfo.has_key?(:DIRECTIVE) || !symbolAddress.has_key?( \
-							"#{cfg1_prefix}static_api_#{cfgInfo[:INDEX]}"))
-
-    apiDef = $apiDefinition[cfgInfo[:API]]
-    apiDef[:PARAM].each do |apiParam|
-      if apiParam.has_key?(:NAME) && apiParam.has_key?(:ID_DEF)
-        objidName = apiParam[:NAME]
-        objidData = cfgInfo[objidName]
-        if $inputObjid.has_key?(objidData)
-          objidValue[objidName][objidData] = $inputObjid[objidData]
+    # ãã¸ãã¯ãã³ãã¼ã®åå¾
+    if @symbolAddress.has_key?(CFG1_MAGIC_NUM)
+      $asmLabel = ""
+      $cfg1_prefix = CFG1_PREFIX
+    elsif @symbolAddress.has_key?("_" + CFG1_MAGIC_NUM)
+      $asmLabel = "_"
+      $cfg1_prefix = "_" + CFG1_PREFIX
+    else
+      error_exit("`#{CFG1_MAGIC_NUM}' is not found in `#{CFG1_OUT_SYMS}'")
+    end
+
+    magicNumberData = @cfg1SRec.get_data(@symbolAddress \
+							[$asmLabel + CFG1_MAGIC_NUM], 4)
+    if (magicNumberData == "12345678")
+      $endianLittle = false
+    elsif (magicNumberData == "78563412")
+      $endianLittle = true
+    else
+      error_exit("`#{CFG1_MAGIC_NUM}' is invalid in `#{CFG1_OUT_SREC}'")
+    end
+
+    # åºå®åºåããå¤æ°ã®åå¾
+    $sizeOfSigned = GetSymbolValue($asmLabel + CFG1_SIZEOF_SIGNED, 4, false)
+
+    # å¤åå¾ã·ã³ãã«ã®åå¾
+    $symbolValueTable.each do |symbolName, symbolData|
+      symbol = $cfg1_prefix + symbolName
+      if symbolData.has_key?(:BOOL)
+        value = GetSymbolValue(symbol, $sizeOfSigned, true)
+        if !value.nil?
+          # Cè¨èªã®çå½å¤ãRubyã®çå½å¤ã«å¤æãã¦åãè¾¼ã
+          symbolData[:VALUE] = (value != 0)
+        end
+      else
+        value = GetSymbolValue(symbol, $sizeOfSigned, \
+										symbolData.has_key?(:SIGNED))
+        if !value.nil?
+          symbolData[:VALUE] = value
+        end
+      end
+    end
+
+    #
+    #  ããã·ã¥ã®åæå
+    #
+    $cfgData = {}
+    @objidValues = {}
+    $apiDefinition.each do |apiName, apiDef|
+      if apiDef.has_key?(:API)
+        if !$cfgData.has_key?(apiDef[:API].to_sym)
+          $cfgData[apiDef[:API].to_sym] = {}
+        end
+      end
+      apiDef[:PARAM].each do |apiParam|
+        if apiParam.has_key?(:NAME) && apiParam.has_key?(:ID_DEF)
+          @objidValues[apiParam[:NAME]] = {}
+        end
+      end
+    end
+
+    #
+    #  ãã¡ã¤ã³çæãã¼ã¿ãã³ã³ãã£ã®ã¥ã¬ã¼ã·ã§ã³ãã¼ã¿ï¼$cfgDataï¼ã«æ ¼ç´
+    #
+    $cfgData[:CRE_DOM] = {}
+    $domainId.each do |domainName, domainVal|
+      domid = NumStr.new(domainVal, domainName)
+      $cfgData[:CRE_DOM][domainVal] = { :domid => domid }
+    end
+
+    ReadPhase(nil)
+  end
+
+  #
+  #  ãã©ã¡ã¼ã¿ã®å¤ãåãåºã
+  #
+  def self.GetParamValue(paramName, param, apiIndex, index, apiParam, cfgInfo)
+    if apiParam.has_key?(:ID_DEF)				# ãªãã¸ã§ã¯ãè­å¥åï¼å®ç¾©ï¼
+      value = @objidValues[paramName][param]
+    elsif apiParam.has_key?(:ID_REF)			# ãªãã¸ã§ã¯ãè­å¥åï¼åç
+§ï¼
+      if @objidValues[paramName].has_key?(param)
+        value = @objidValues[paramName][param]
+      else
+        error("#{apiDef.has_key?(:KEYPAR) ? "E_NOEXS" : "E_ID"}: " \
+					"`#{param}' in #{cfgInfo[:APINAME]} is not defined", \
+					"#{cfgInfo[:_FILE_]}:#{cfgInfo[:_LINE_]}:")
+        value = nil
+      end
+    elsif apiParam.has_key?(:EXPTYPE)			# æ´æ°å®æ°å¼ãã©ã¡ã¼ã¿
+      if apiIndex.nil?
+        if param.is_a?(NumStr)
+          return(param)
         else
-          objidValue[objidName][objidData] = nil
-        end
-      end
-    end
-  end
-
-  # IDçªå·ã®å²ãå½ã¦å¦ç
-  objidValue.each do |objidName, objidList|
-    # æªä½¿ç¨ã®IDçªå·ã®ãªã¹ãï¼ä½¿ç¨ãããã®ããæ¶ãã¦ããï¼
-    unusedObjidList = (1.upto(objidList.keys.size)).to_a
-
-    # å²ãå½ã¦æ¸ã¿ã®IDçªå·ã®å¦ç
-    objidList.each do |objidData, objidNumber|
-      if $inputObjid.has_key?(objidData)
-        objidIndex = unusedObjidList.index($inputObjid[objidData])
-        if objidIndex.nil?
-          # IDçªå·å
+          return(NumStr.new(param))
+        end
+      else
+        symbol = "#{$cfg1_prefix}valueof_#{paramName}_#{apiIndex}#{index}"
+        value = GetSymbolValue(symbol, $sizeOfSigned, \
+									apiParam.has_key?(:SIGNED))
+      end
+    else										# ä¸è¬å®æ°å¼ï¼æå­åãã©ã¡ã¼ã¿
+      return(param)
+    end
+    return(NumStr.new(value, param))
+  end
+
+  #
+  #  æå®ãããã§ã¼ãºã®ããã®ãã¹1ã®çæç©ã®èª­ã¿è¾¼ã¿
+  #
+  def self.ReadPhase(phase)
+    #
+    #  ãªãã¸ã§ã¯ãIDã®å²å½ã¦
+    #
+    # å²ãå½ã¦ããªãã¸ã§ã¯ãIDã¯ï¼@objidValuesã«ä¿æããï¼@objidValuesã¯ï¼
+    # 2éã®ããã·ã¥ï¼ããã·ã¥ã®ããã·ã¥ï¼ã§ããï¼
+    #
+    # å
+·ä½çã«ã¯ï¼@objidValuesã¯ï¼ãªãã¸ã§ã¯ãIDã®ãã©ã¡ã¼ã¿åï¼ä¾ãã°ï¼ã»
+    # ããã©IDã§ããã°"semid"ï¼ãããä¿æããå¤æ°åã¯ï¼objidParamNameã¨ã
+    # ãï¼ãã­ã¼ã¨ãï¼ãã®ãªãã¸ã§ã¯ãIDã®å²å½ã¦è¡¨ï¼ãããä¿æããå¤æ°å
+    # ã¯ï¼objidListã¨ããï¼ãå¤ã¨ããããã·ã¥ã§ããï¼ãªãã¸ã§ã¯ãIDã®å²å½
+    # ã¦è¡¨ã¯ï¼ãªãã¸ã§ã¯ãåï¼ãããä¿æããå¤æ°åã¯ï¼objNameã¨ããï¼ãã­ã¼
+    # ã¨ãï¼ãã®IDçªå·ï¼ãããä¿æããå¤æ°åã¯ï¼objidNumberã¨ããï¼ãå¤ã¨
+    # ããããã·ã¥ã§ããï¼
+    #
+    # ä¾ãã°ï¼ã»ããã©SEM1ã®IDçªå·ã1ã®å ´åã«ã¯ï¼æ¬¡ã®ããã«è¨­å®ãããï¼
+    #   @objidValues["semid"]["SEM1"] == 1
+    #
+
+    # IDçªå·å²ãå½ã¦ã®åå¦ç
+    objidParamNameList = []
+    $cfgFileInfo.each do |cfgInfo|
+      # ããªãã­ã»ããµãã£ã¬ã¯ãã£ãã¯èª­ã¿é£ã°ã
+      next if cfgInfo.has_key?(:DIRECTIVE)
+
+      apiDef = $apiDefinition[cfgInfo[:APINAME]]
+      # ç°ãªããã§ã¼ãºã®éçAPIã¯èª­ã¿é£ã°ã
+      next if apiDef[:PHASE] != phase
+
+      apiIndex = cfgInfo[:INDEX]
+      if !apiIndex.nil?
+        # ã·ã³ãã«ãã¡ã¤ã«ã«éçAPIã®ã¤ã³ããã¯ã¹ãå­å¨ããªããã°èª­ã¿é£
+        # ã°ãï¼ifdefç­ã§æ¶ããéçAPIï¼
+        symbol = "#{$cfg1_prefix}static_api_#{apiIndex}"
+        next unless @symbolAddress.has_key?(symbol)
+      end
+
+      apiDef[:PARAM].each do |apiParam|
+        if apiParam.has_key?(:NAME) && apiParam.has_key?(:ID_DEF)
+          objidParamName = apiParam[:NAME]
+          objName = cfgInfo[objidParamName]
+          if $inputObjid.has_key?(objName)
+            # IDçªå·å
+¥åãã¡ã¤ã«ã«å®ç¾©ããã¦ããå ´å
+            @objidValues[objidParamName][objName] = $inputObjid[objName]
+          else
+            @objidValues[objidParamName][objName] = nil
+          end
+          objidParamNameList.push(objidParamName)
+        end
+      end
+    end
+
+    # IDçªå·ã®å²å½ã¦å¦ç
+    objidParamNameList.each do |objidParamName|
+      objidList = @objidValues[objidParamName]
+
+      # æªä½¿ç¨ã®IDçªå·ã®ãªã¹ãï¼ä½¿ç¨ãããã®ããæ¶ãã¦ããï¼
+      unusedObjidList = (1.upto(objidList.keys.size)).to_a
+
+      # å²ãå½ã¦æ¸ã¿ã®IDçªå·ã®å¦ç
+      objidList.each do |objName, objidNumber|
+        if $inputObjid.has_key?(objName)
+          objidIndex = unusedObjidList.index($inputObjid[objName])
+          if objidIndex.nil?
+            # IDçªå·å
 ¥åãã¡ã¤ã«ã§æå®ãããå¤ãä¸æ­£
-          error_exit("value of `#{objidData}' in ID input file is illegal")
+            error_exit("value of `#{objName}' in ID input file is illegal")
+          else
+            # æªä½¿ç¨ã®IDçªå·ã®ãªã¹ãããåé¤
+            unusedObjidList.delete_at(objidIndex)
+          end
+        end
+      end
+
+      # IDçªå·ã®å²å½ã¦
+      objidList.each do |objName, objidNumber|
+        if objidList[objName].nil?
+          # ä»¥ä¸ã§ï¼@objidValuesãæ¸ãæãã¦ãã
+          objidList[objName] = unusedObjidList.shift
+        end
+      end
+    end
+
+    #
+    #  éçAPIãã¼ã¿ãã³ã³ãã£ã®ã¥ã¬ã¼ã·ã§ã³ãã¼ã¿ï¼$cfgDataï¼ã«æ ¼ç´
+    #
+    $cfgFileInfo.each do |cfgInfo|
+      # ããªãã­ã»ããµãã£ã¬ã¯ãã£ãã¯èª­ã¿é£ã°ã
+      next if cfgInfo.has_key?(:DIRECTIVE)
+
+      apiDef = $apiDefinition[cfgInfo[:APINAME]]
+      # ç°ãªããã§ã¼ãºã®éçAPIã¯èª­ã¿é£ã°ã
+      next if apiDef[:PHASE] != phase
+
+      apiSym = apiDef[:API].to_sym
+      apiIndex = cfgInfo[:INDEX]
+      if !apiIndex.nil?
+        # ã·ã³ãã«ãã¡ã¤ã«ã«éçAPIã®ã¤ã³ããã¯ã¹ãå­å¨ããªããã°èª­ã¿é£
+        # ã°ãï¼ifdefç­ã§æ¶ããéçAPIï¼
+        symbol = "#{$cfg1_prefix}static_api_#{apiIndex}"
+        next unless @symbolAddress.has_key?(symbol)
+      end
+
+      # ãã©ã¡ã¼ã¿ã®å¤ãããã·ã¥å½¢å¼ã«æ ¼ç´
+      params = {}
+      apiDef[:PARAM].each do |apiParam|
+        next unless apiParam.has_key?(:NAME)
+        paramName = apiParam[:NAME]
+        next unless cfgInfo.has_key?(paramName)		# ãã©ã¡ã¼ã¿ããªãå ´å
+        paramData = cfgInfo[paramName]
+
+        if apiParam.has_key?(:LIST)
+          params[paramName.to_sym] = []
+          paramData.each.with_index(1) do |param, index|
+            params[paramName.to_sym].push(GetParamValue(paramName, param, \
+								apiIndex, "_#{index}", apiParam, cfgInfo))
+          end
         else
-          # æªä½¿ç¨ã®IDçªå·ã®ãªã¹ãããåé¤
-          unusedObjidList.delete_at(objidIndex)
-        end
-      end
-    end
-
-    # IDçªå·ã®å²ãå½ã¦
-    objidList.each do |objidData, objidNumber|
-      if objidList[objidData].nil?
-        # ä»¥ä¸ã§ï¼objidValueãæ¸ãæãã¦ãã
-        objidList[objidData] = unusedObjidList.shift
-      end
-    end
-  end
-
-  #
-  #  éçAPIãã¼ã¿ãããã·ã¥å½¢å¼ã¸å¤æ
-  #
-  $cfgFileInfo.each do |cfgInfo|
-    # ããªãã­ã»ããµãã£ã¬ã¯ãã£ãã¯èª­ã¿é£ã°ã
-    next if cfgInfo.has_key?(:DIRECTIVE)
-
-    apiDef = $apiDefinition[cfgInfo[:API]]
-    apiSym = apiDef[:API].to_sym
-    apiIndex = cfgInfo[:INDEX]
-
-    # ã·ã³ãã«ãã¡ã¤ã«ã«éçAPIã®ã¤ã³ããã¯ã¹ãå­å¨ããªããã°èª­ã¿é£ã°ã
-    #ï¼ifdefç­ã§æ¶ããéçAPIï¼
-    next unless symbolAddress.has_key?("#{cfg1_prefix}static_api_#{apiIndex}")
-
-    # ãã©ã¡ã¼ã¿ã®å¤ãããã·ã¥å½¢å¼ã«æ ¼ç´
-    params = {}
-    apiDef[:PARAM].each do |apiParam|
-      if apiParam.has_key?(:NAME)
-        paramName = apiParam[:NAME]
-        if cfgInfo.has_key?(paramName)
-          paramData = cfgInfo[paramName]
-          value = nil
-          if apiParam.has_key?(:ID_DEF)			# ãªãã¸ã§ã¯ãè­å¥åï¼å®ç¾©ï¼
-            value = objidValue[paramName][paramData]
-          elsif apiParam.has_key?(:ID_REF)		# ãªãã¸ã§ã¯ãè­å¥åï¼åç
-§ï¼
-            if objidValue[paramName].has_key?(paramData)
-              value = objidValue[paramName][paramData]
-            else
-              error("E_OBJ: `#{paramData}' in #{cfgInfo[:API]} is not defined",
+          params[paramName.to_sym] = GetParamValue(paramName, paramData, \
+										apiIndex, "", apiParam, cfgInfo)
+        end
+      end
+
+      # ãã¡ã¤ã³IDãè¿½å 
+      if cfgInfo.has_key?(:DOMAIN)
+        domainName = cfgInfo[:DOMAIN]
+        params[:domain] = $domainId[domainName]
+      end
+
+      # ã¯ã©ã¹IDãè¿½å 
+      if cfgInfo.has_key?(:CLASS)
+        if apiIndex.nil?
+          params[:class] = cfgInfo[:CLASS]
+        else
+          symbol = "#{$cfg1_prefix}valueof_CLASS_#{apiIndex}"
+          value = GetSymbolValue(symbol, $sizeOfSigned, true)
+          params[:class] = NumStr.new(value, cfgInfo[:CLASS])
+        end
+      end
+
+      # APIåï¼ãã¡ã¤ã«åï¼è¡çªå·ãè¿½å 
+      params[:apiname] = cfgInfo[:APINAME]
+      params[:_file_] = cfgInfo[:_FILE_]
+      params[:_line_] = cfgInfo[:_LINE_]
+
+      # ç»é²ã­ã¼ãæ±ºå®ãã
+      if apiDef.has_key?(:KEYPAR)
+        keyParam = params[apiDef[:KEYPAR].to_sym]
+        key = keyParam.val
+        if $cfgData[apiSym].has_key?(key)
+          # ç»é²ã­ã¼ã®éè¤
+          error("E_OBJ: #{apiDef[:KEYPAR]} `#{keyParam}' " \
+								"is duplicated in #{cfgInfo[:APINAME]}",
 								"#{cfgInfo[:_FILE_]}:#{cfgInfo[:_LINE_]}:")
-            end
-          elsif apiParam.has_key?(:SIGNED) || apiParam.has_key?(:UNSIGNED)
-            symbol = "#{cfg1_prefix}valueof_#{paramName}_#{apiIndex}"
-            if (symbolAddress.has_key?(symbol))
-              value = cfg1SRec.get_value(symbolAddress[symbol], \
-							$sizeOfSigned, apiParam.has_key?(:SIGNED))
-            end
-          end
-          params[paramName.to_sym] = StrVal.new(paramData, value)
-        end
-      end
-    end
-
-	# ç»é²ã­ã¼ãæ±ºå®ãã
-    if apiDef.has_key?(:KEYPAR)
-      keyParam = params[apiDef[:KEYPAR].to_sym]
-      key = keyParam.val
-      if $cfgData[apiSym].has_key?(key)
-		# ç»é²ã­ã¼ã®éè¤
-        error("E_OBJ: #{apiDef[:KEYPAR]} `#{keyParam}'" \
-								" is duplicaed in #{cfgInfo[:API]}",
-								"#{cfgInfo[:_FILE_]}:#{cfgInfo[:_LINE_]}:")
-      end
-    else
-      key = $cfgData[apiSym].count + 1
-    end
-
-    # APIåï¼ãã¡ã¤ã«åï¼è¡çªå·ãè¿½å 
-    params[:apiname] = cfgInfo[:API]
-    params[:_file_] = cfgInfo[:_FILE_]
-    params[:_line_] = cfgInfo[:_LINE_]
-    $cfgData[apiSym][key] = params
+        end
+      else
+        key = $cfgData[apiSym].count + 1
+      end
+      $cfgData[apiSym][key] = params
+    end
   end
 
@@ -266,9 +363,9 @@
   #  IDçªå·åºåãã¡ã¤ã«ã®çæ
   #
-  if !$idOutputFileName.nil?
-    idOutputFile = GenFile.new($idOutputFileName)
-    objidValue.each do |objidName, objidList|
-      objidList.each do |objidData, objidNumber|
-        idOutputFile.add("#{objidData} #{objidNumber}")
+  def self.OutputId(fileName)
+    idOutputFile = GenFile.new(fileName)
+    @objidValues.each do |objidParamName, objidList|
+      objidList.each do |objName, objidNumber|
+        idOutputFile.add("#{objName} #{objidNumber}")
       end
     end
@@ -290,10 +387,12 @@
     $cfgFileInfo = db[:cfgFileInfo]
     $includeFiles = db[:includeFiles]
-  end
+    $domainId = db[:domainId]
+  end
+  $cfg2Data = {}
 
   #
   #  ãã¹1ã®çæç©ãèª­ã¿è¾¼ã
   #
-  ReadCfg1Out()
+  Cfg1Out.Read()
   abort if $errorFlag					# ã¨ã©ã¼çºçæã¯abortãã
 
@@ -307,5 +406,16 @@
   #
   $trbFileNames.each do |trbFileName|
+    if /^(.+):(\w+)$/ =~ trbFileName
+      trbFileName = $1
+      Cfg1Out.ReadPhase($2.to_sym)
+    end
     IncludeTrb(trbFileName)
+  end
+
+  #
+  #  IDçªå·åºåãã¡ã¤ã«ã®çæ
+  #
+  if !$idOutputFileName.nil?
+    Cfg1Out.OutputId($idOutputFileName)
   end
 
@@ -323,5 +433,6 @@
       db[:cfgData] = $cfgData
       db[:asmLabel] = $asmLabel
-      db[:bLittleEndian] = $bLittleEndian
+      db[:endianLittle] = $endianLittle
+      db[:cfg2Data] = $cfg2Data
     end
   end
Index: asp3_wo_tecs/trunk/configure.rb
===================================================================
--- asp3_wo_tecs/trunk/configure.rb	(revision 305)
+++ asp3_wo_tecs/trunk/configure.rb	(revision 306)
@@ -54,5 +54,5 @@
 #  ã®è²¬ä»»ãè² ããªãï¼
 # 
-#  $Id: configure.rb 585 2016-02-05 10:58:56Z ertl-hiro $
+#  $Id: configure.rb 626 2016-02-12 13:46:32Z ertl-hiro $
 # 
 
@@ -227,16 +227,10 @@
   $appldirs.push("\$(SRCDIR)/sample")
 end
-if $applname.nil?
-  $applname = "sample1"
-end
+$applname ||= "sample1"
 if $option_t.nil?
   $applobjs.unshift($applname + ".o")
 end
-if $cfgfile.nil?
-  $cfgfile = $applname + ".cfg"
-end
-if $cdlfile.nil?
-  $cdlfile = $applname + ".cdl"
-end
+$cfgfile ||= $applname + ".cfg"
+$cdlfile ||= $applname + ".cdl"
 if $srcdir.nil?
   # ã½ã¼ã¹ãã£ã¬ã¯ããªåãåãåºã
@@ -252,13 +246,7 @@
   $srcabsdir = Shell.new.cwd + "/" + $srcdir
 end
-if $tempmakefile.nil?
-  $tempmakefile = $srcdir + "/sample/Makefile"
-end
-if $cfg.nil?
-  $cfg = $ruby + " \$(SRCDIR)/cfg/cfg.rb"
-end
-if $tecsgen.nil?
-  $tecsgen = $ruby + " \$(SRCDIR)/tecsgen/tecsgen.rb"
-end
+$tempmakefile ||= $srcdir + "/sample/Makefile"
+$cfg ||= $ruby + " \$(SRCDIR)/cfg/cfg.rb"
+$tecsgen ||= $ruby + " \$(SRCDIR)/tecsgen/tecsgen.rb"
 
 #
Index: asp3_wo_tecs/trunk/extension/MANIFEST
===================================================================
--- asp3_wo_tecs/trunk/extension/MANIFEST	(revision 305)
+++ asp3_wo_tecs/trunk/extension/MANIFEST	(revision 306)
@@ -23,15 +23,15 @@
 messagebuf/kernel/allfunc.h
 messagebuf/kernel/check.h
-messagebuf/kernel/kernel.tf
-messagebuf/kernel/kernel_api.csv
-messagebuf/kernel/kernel_def.csv
+messagebuf/kernel/kernel.trb
+messagebuf/kernel/kernel_api.def
 messagebuf/kernel/kernel_impl.h
 messagebuf/kernel/kernel_int.h
 messagebuf/kernel/kernel_rename.def
 messagebuf/kernel/kernel_rename.h
+messagebuf/kernel/kernel_sym.def
 messagebuf/kernel/kernel_unrename.h
 messagebuf/kernel/messagebuf.c
 messagebuf/kernel/messagebuf.h
-messagebuf/kernel/messagebuf.tf
+messagebuf/kernel/messagebuf.trb
 messagebuf/kernel/task.h
 messagebuf/kernel/task_refer.c
@@ -55,15 +55,15 @@
 ovrhdr/kernel/check.h
 ovrhdr/kernel/interrupt.c
-ovrhdr/kernel/kernel.tf
-ovrhdr/kernel/kernel_api.csv
-ovrhdr/kernel/kernel_check.tf
-ovrhdr/kernel/kernel_def.csv
+ovrhdr/kernel/kernel.trb
+ovrhdr/kernel/kernel_api.def
+ovrhdr/kernel/kernel_check.trb
 ovrhdr/kernel/kernel_int.h
 ovrhdr/kernel/kernel_rename.def
 ovrhdr/kernel/kernel_rename.h
+ovrhdr/kernel/kernel_sym.def
 ovrhdr/kernel/kernel_unrename.h
 ovrhdr/kernel/overrun.c
 ovrhdr/kernel/overrun.h
-ovrhdr/kernel/overrun.tf
+ovrhdr/kernel/overrun.trb
 ovrhdr/kernel/sys_manage.c
 ovrhdr/kernel/task.c
@@ -90,7 +90,7 @@
 
 rstr_task/kernel/check.h
-rstr_task/kernel/kernel_def.csv
+rstr_task/kernel/kernel_sym.def
 rstr_task/kernel/sys_manage.c
-rstr_task/kernel/task.tf
+rstr_task/kernel/task.trb
 rstr_task/kernel/task_manage.c
 rstr_task/kernel/task_sync.c
@@ -107,13 +107,13 @@
 subprio/kernel/Makefile.kernel
 subprio/kernel/allfunc.h
-subprio/kernel/kernel_api.csv
+subprio/kernel/kernel_api.def
 subprio/kernel/kernel_rename.def
 subprio/kernel/kernel_rename.h
 subprio/kernel/kernel_unrename.h
-subprio/kernel/mutex.tf
+subprio/kernel/mutex.trb
 subprio/kernel/sys_manage.c
 subprio/kernel/task.c
 subprio/kernel/task.h
-subprio/kernel/task.tf
+subprio/kernel/task.trb
 subprio/kernel/task_manage.c
 subprio/kernel/task_refer.c
@@ -131,43 +131,37 @@
 dcre/kernel/alarm.c
 dcre/kernel/alarm.h
-dcre/kernel/alarm.tf
+dcre/kernel/alarm.trb
 dcre/kernel/allfunc.h
 dcre/kernel/check.h
 dcre/kernel/cyclic.c
 dcre/kernel/cyclic.h
-dcre/kernel/cyclic.tf
+dcre/kernel/cyclic.trb
 dcre/kernel/dataqueue.c
 dcre/kernel/dataqueue.h
-dcre/kernel/dataqueue.tf
 dcre/kernel/eventflag.c
 dcre/kernel/eventflag.h
-dcre/kernel/eventflag.tf
 dcre/kernel/interrupt.c
 dcre/kernel/interrupt.h
-dcre/kernel/interrupt.tf
-dcre/kernel/kernel.tf
-dcre/kernel/kernel_api.csv
-dcre/kernel/kernel_check.tf
-dcre/kernel/kernel_def.csv
+dcre/kernel/interrupt.trb
+dcre/kernel/kernel.trb
+dcre/kernel/kernel_api.def
+dcre/kernel/kernel_check.trb
 dcre/kernel/kernel_impl.h
 dcre/kernel/kernel_rename.def
 dcre/kernel/kernel_rename.h
+dcre/kernel/kernel_sym.def
 dcre/kernel/kernel_unrename.h
 dcre/kernel/mempfix.c
 dcre/kernel/mempfix.h
-dcre/kernel/mempfix.tf
 dcre/kernel/mutex.c
 dcre/kernel/mutex.h
-dcre/kernel/mutex.tf
 dcre/kernel/pridataq.c
 dcre/kernel/pridataq.h
-dcre/kernel/pridataq.tf
 dcre/kernel/semaphore.c
 dcre/kernel/semaphore.h
-dcre/kernel/semaphore.tf
 dcre/kernel/startup.c
 dcre/kernel/task.c
 dcre/kernel/task.h
-dcre/kernel/task.tf
+dcre/kernel/task.trb
 dcre/kernel/task_manage.c
 dcre/kernel/task_refer.c
Index: asp3_wo_tecs/trunk/extension/dcre/include/kernel.h
===================================================================
--- asp3_wo_tecs/trunk/extension/dcre/include/kernel.h	(revision 305)
+++ asp3_wo_tecs/trunk/extension/dcre/include/kernel.h	(revision 306)
@@ -53,5 +53,5 @@
  *  ã®è²¬ä»»ãè² ããªãï¼
  * 
- *  $Id: kernel.h 463 2015-10-18 14:25:55Z ertl-hiro $
+ *  $Id: kernel.h 654 2016-02-20 12:59:31Z ertl-hiro $
  */
 
@@ -723,6 +723,6 @@
 #define TKERNEL_MAKER	UINT_C(0x0118)	/* ã«ã¼ãã«ã®ã¡ã¼ã«ã¼ã³ã¼ã */
 #define TKERNEL_PRID	UINT_C(0x0007)	/* ã«ã¼ãã«ã®è­å¥çªå· */
-#define TKERNEL_SPVER	UINT_C(0xf630)	/* ã«ã¼ãã«ä»æ§ã®ãã¼ã¸ã§ã³çªå· */
-#define TKERNEL_PRVER	UINT_C(0x30b0)	/* ã«ã¼ãã«ã®ãã¼ã¸ã§ã³çªå· */
+#define TKERNEL_SPVER	UINT_C(0xf631)	/* ã«ã¼ãã«ä»æ§ã®ãã¼ã¸ã§ã³çªå· */
+#define TKERNEL_PRVER	UINT_C(0x3010)	/* ã«ã¼ãã«ã®ãã¼ã¸ã§ã³çªå· */
 
 /*
Index: asp3_wo_tecs/trunk/extension/dcre/kernel/Makefile.kernel
===================================================================
--- asp3_wo_tecs/trunk/extension/dcre/kernel/Makefile.kernel	(revision 305)
+++ asp3_wo_tecs/trunk/extension/dcre/kernel/Makefile.kernel	(revision 306)
@@ -6,5 +6,5 @@
 #  Copyright (C) 2003 by Embedded and Real-Time Systems Laboratory
 #                              Toyohashi Univ. of Technology, JAPAN
-#  Copyright (C) 2005-2015 by Embedded and Real-Time Systems Laboratory
+#  Copyright (C) 2005-2016 by Embedded and Real-Time Systems Laboratory
 #              Graduate School of Information Science, Nagoya Univ., JAPAN
 # 
@@ -53,5 +53,5 @@
 #  ã®è²¬ä»»ãè² ããªãï¼
 # 
-#  $Id: Makefile.kernel 333 2015-06-21 13:23:37Z ertl-hiro $
+#  $Id: Makefile.kernel 554 2016-01-17 13:21:59Z ertl-hiro $
 # 
 
@@ -135,23 +135,23 @@
 #  çæããããªãã¸ã§ã¯ããã¡ã¤ã«ã®ä¾å­é¢ä¿ã®å®ç¾©
 #
-$(startup) $(startup:.o=.s) $(startup:.o=.d): startup.c
-$(task) $(task:.o=.s) $(task:.o=.d): task.c
-$(taskhook) $(taskhook:.o=.s) $(taskhook:.o=.d): taskhook.c
-$(wait) $(wait:.o=.s) $(wait:.o=.d): wait.c
-$(time_event) $(time_event:.o=.s) $(time_event:.o=.d): time_event.c
-$(task_manage) $(task_manage:.o=.s) $(task_manage:.o=.d): task_manage.c
-$(task_refer) $(task_refer:.o=.s) $(task_refer:.o=.d): task_refer.c
-$(task_sync) $(task_sync:.o=.s) $(task_sync:.o=.d): task_sync.c
-$(task_term) $(task_term:.o=.s) $(task_term:.o=.d): task_term.c
-$(semaphore) $(semaphore:.o=.s) $(semaphore:.o=.d): semaphore.c
-$(eventflag) $(eventflag:.o=.s) $(eventflag:.o=.d): eventflag.c
-$(dataqueue) $(dataqueue:.o=.s) $(dataqueue:.o=.d): dataqueue.c
-$(pridataq) $(pridataq:.o=.s) $(pridataq:.o=.d): pridataq.c
-$(mutex) $(mutex:.o=.s) $(mutex:.o=.d): mutex.c
-$(mempfix) $(mempfix:.o=.s) $(mempfix:.o=.d): mempfix.c
-$(time_manage) $(time_manage:.o=.s) $(time_manage:.o=.d): time_manage.c
-$(cyclic) $(cyclic:.o=.s) $(cyclic:.o=.d): cyclic.c
-$(alarm) $(alarm:.o=.s) $(alarm:.o=.d): alarm.c
-$(sys_manage) $(sys_manage:.o=.s) $(sys_manage:.o=.d): sys_manage.c
-$(interrupt) $(interrupt:.o=.s) $(interrupt:.o=.d): interrupt.c
-$(exception) $(exception:.o=.s) $(exception:.o=.d): exception.c
+$(startup) $(startup:.o=.s): startup.c
+$(task) $(task:.o=.s): task.c
+$(taskhook) $(taskhook:.o=.s): taskhook.c
+$(wait) $(wait:.o=.s): wait.c
+$(time_event) $(time_event:.o=.s): time_event.c
+$(task_manage) $(task_manage:.o=.s): task_manage.c
+$(task_refer) $(task_refer:.o=.s): task_refer.c
+$(task_sync) $(task_sync:.o=.s): task_sync.c
+$(task_term) $(task_term:.o=.s): task_term.c
+$(semaphore) $(semaphore:.o=.s): semaphore.c
+$(eventflag) $(eventflag:.o=.s): eventflag.c
+$(dataqueue) $(dataqueue:.o=.s): dataqueue.c
+$(pridataq) $(pridataq:.o=.s): pridataq.c
+$(mutex) $(mutex:.o=.s): mutex.c
+$(mempfix) $(mempfix:.o=.s): mempfix.c
+$(time_manage) $(time_manage:.o=.s): time_manage.c
+$(cyclic) $(cyclic:.o=.s): cyclic.c
+$(alarm) $(alarm:.o=.s): alarm.c
+$(sys_manage) $(sys_manage:.o=.s): sys_manage.c
+$(interrupt) $(interrupt:.o=.s): interrupt.c
+$(exception) $(exception:.o=.s): exception.c
Index: asp3_wo_tecs/trunk/extension/dcre/kernel/alarm.c
===================================================================
--- asp3_wo_tecs/trunk/extension/dcre/kernel/alarm.c	(revision 305)
+++ asp3_wo_tecs/trunk/extension/dcre/kernel/alarm.c	(revision 306)
@@ -6,5 +6,5 @@
  *  Copyright (C) 2000-2003 by Embedded and Real-Time Systems Laboratory
  *                              Toyohashi Univ. of Technology, JAPAN
- *  Copyright (C) 2005-2015 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2005-2016 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
@@ -53,5 +53,5 @@
  *  ã®è²¬ä»»ãè² ããªãï¼
  * 
- *  $Id: alarm.c 451 2015-08-14 15:29:07Z ertl-hiro $
+ *  $Id: alarm.c 717 2016-03-31 07:03:53Z ertl-hiro $
  */
 
@@ -179,11 +179,16 @@
 	ALMCB		*p_almcb;
 	ALMINIB		*p_alminib;
-	T_NFYINFO	*p_nfyinfo;
+	ATR			almatr;
+	T_NFYINFO	nfyinfo, *p_nfyinfo;
 	ER			ercd, rercd;
 
 	LOG_ACRE_ALM_ENTER(pk_calm);
 	CHECK_TSKCTX_UNL();
-	CHECK_RSATR(pk_calm->almatr, TA_NULL);
-	rercd = check_nfyinfo(&(pk_calm->nfyinfo));
+
+	almatr = pk_calm->almatr;
+	nfyinfo = pk_calm->nfyinfo;
+
+	CHECK_RSATR(almatr, TA_NULL);
+	rercd = check_nfyinfo(&nfyinfo);
 	if (rercd != E_OK) {
 		ercd = rercd;
@@ -199,12 +204,12 @@
 												- offsetof(ALMCB, tmevtb)));
 		p_alminib = (ALMINIB *)(p_almcb->p_alminib);
-		p_alminib->almatr = pk_calm->almatr;
-		if (pk_calm->nfyinfo.nfymode == TNFY_HANDLER) {
-			p_alminib->exinf = pk_calm->nfyinfo.nfy.handler.exinf;
-			p_alminib->nfyhdr = (NFYHDR)(pk_calm->nfyinfo.nfy.handler.tmehdr);
+		p_alminib->almatr = almatr;
+		if (nfyinfo.nfymode == TNFY_HANDLER) {
+			p_alminib->exinf = nfyinfo.nfy.handler.exinf;
+			p_alminib->nfyhdr = (NFYHDR)(nfyinfo.nfy.handler.tmehdr);
 		}
 		else {
 			p_nfyinfo = &aalm_nfyinfo_table[p_alminib - aalminib_table];
-			*p_nfyinfo = pk_calm->nfyinfo;
+			*p_nfyinfo = nfyinfo;
 			p_alminib->exinf = (intptr_t) p_nfyinfo;
 			p_alminib->nfyhdr = notify_handler;
Index: asp3_wo_tecs/trunk/extension/dcre/kernel/alarm.trb
===================================================================
--- asp3_wo_tecs/trunk/extension/dcre/kernel/alarm.trb	(revision 306)
+++ asp3_wo_tecs/trunk/extension/dcre/kernel/alarm.trb	(revision 306)
@@ -0,0 +1,91 @@
+# -*- coding: utf-8 -*-
+#
+#   TOPPERS/ASP Kernel
+#       Toyohashi Open Platform for Embedded Real-Time Systems/
+#       Advanced Standard Profile Kernel
+# 
+#   Copyright (C) 2015 by FUJI SOFT INCORPORATED, JAPAN
+#   Copyright (C) 2015,2016 by Embedded and Real-Time Systems Laboratory
+#               Graduate School of Information Science, Nagoya Univ., JAPAN
+# 
+#   ä¸è¨èä½æ¨©è
+ã¯ï¼ä»¥ä¸ã®(1)ã(4)ã®æ¡ä»¶ãæºããå ´åã«éãï¼æ¬ã½ããã¦ã§
+#   ã¢ï¼æ¬ã½ããã¦ã§ã¢ãæ¹å¤ãããã®ãå«ãï¼ä»¥ä¸åãï¼ãä½¿ç¨ã»è¤è£½ã»æ¹
+#   å¤ã»åé
+å¸ï¼ä»¥ä¸ï¼å©ç¨ã¨å¼ã¶ï¼ãããã¨ãç¡åã§è¨±è«¾ããï¼
+#   (1) æ¬ã½ããã¦ã§ã¢ãã½ã¼ã¹ã³ã¼ãã®å½¢ã§å©ç¨ããå ´åã«ã¯ï¼ä¸è¨ã®èä½
+#       æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãï¼ãã®ã¾ã¾ã®å½¢ã§ã½ã¼
+#       ã¹ã³ã¼ãä¸­ã«å«ã¾ãã¦ãããã¨ï¼
+#   (2) æ¬ã½ããã¦ã§ã¢ãï¼ã©ã¤ãã©ãªå½¢å¼ãªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
+#       ç¨ã§ããå½¢ã§åé
+å¸ããå ´åã«ã¯ï¼åé
+å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨
+#       è
+ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®èä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨
+#       ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
+#   (3) æ¬ã½ããã¦ã§ã¢ãï¼æ©å¨ã«çµã¿è¾¼ããªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
+#       ç¨ã§ããªãå½¢ã§åé
+å¸ããå ´åã«ã¯ï¼æ¬¡ã®ããããã®æ¡ä»¶ãæºããã
+#       ã¨ï¼
+#     (a) åé
+å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨è
+ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®è
+#         ä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
+#     (b) åé
+å¸ã®å½¢æ
+ãï¼å¥ã«å®ããæ¹æ³ã«ãã£ã¦ï¼TOPPERSãã­ã¸ã§ã¯ãã«
+#         å ±åãããã¨ï¼
+#   (4) æ¬ã½ããã¦ã§ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæ
+#       å®³ãããï¼ä¸è¨èä½æ¨©è
+ããã³TOPPERSãã­ã¸ã§ã¯ããå
+è²¬ãããã¨ï¼
+#       ã¾ãï¼æ¬ã½ããã¦ã§ã¢ã®ã¦ã¼ã¶ã¾ãã¯ã¨ã³ãã¦ã¼ã¶ããã®ãããªãç
+#       ç±ã«åºã¥ãè«æ±ãããï¼ä¸è¨èä½æ¨©è
+ããã³TOPPERSãã­ã¸ã§ã¯ãã
+#       å
+è²¬ãããã¨ï¼
+# 
+#   æ¬ã½ããã¦ã§ã¢ã¯ï¼ç¡ä¿è¨¼ã§æä¾ããã¦ãããã®ã§ããï¼ä¸è¨èä½æ¨©è
+ã
+#   ãã³TOPPERSãã­ã¸ã§ã¯ãã¯ï¼æ¬ã½ããã¦ã§ã¢ã«é¢ãã¦ï¼ç¹å®ã®ä½¿ç¨ç®ç
+#   ã«å¯¾ããé©åæ§ãå«ãã¦ï¼ãããªãä¿è¨¼ãè¡ããªãï¼ã¾ãï¼æ¬ã½ããã¦ã§
+#   ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæå®³ã«é¢ãã¦ãï¼ã
+#   ã®è²¬ä»»ãè² ããªãï¼
+# 
+#   $Id: alarm.trb 588 2016-02-05 12:54:58Z ertl-hiro $
+# 
+
+#
+#		ã¢ã©ã¼ã éç¥æ©è½ã®çæã¹ã¯ãªãã
+#
+
+class AlarmObject < KernelObject
+  def initialize()
+    super("alm", "alarm")
+    @inibList["T_NFYINFO"] = "aalm_nfyinfo_table"
+  end
+
+  def prepare(key, params)
+    # almatrãç¡å¹ã®å ´åï¼E_RSATRï¼ï¼»NGKI2491ï¼½
+    #ï¼TA_STAä»¥å¤ã®ããããã»ããããã¦ããå ´åï¼
+    if (params[:almatr] & ~($TA_STA)) != 0
+      error_illegal_id("E_RSATR", params, :almatr, :almid)
+    end
+
+    # éç¥æ
+å ±ã®å¦ç
+    params[:nfyhdr] = generateNotifyHandler(key, params, :almid)
+  end
+
+  def generateInib(key, params)
+    return("(#{params[:almatr]}), (intptr_t)(#{params[:par1]}), " \
+												"#{params[:nfyhdr]}")
+  end
+end
+
+#
+#  ã¢ã©ã¼ã éç¥ã«é¢ããæ
+å ±ã®çæ
+#
+$kernelCfgC.comment_header("Alarm Notification Functions")
+AlarmObject.new.generate()
Index: asp3_wo_tecs/trunk/extension/dcre/kernel/check.h
===================================================================
--- asp3_wo_tecs/trunk/extension/dcre/kernel/check.h	(revision 305)
+++ asp3_wo_tecs/trunk/extension/dcre/kernel/check.h	(revision 306)
@@ -53,5 +53,5 @@
  *  ã®è²¬ä»»ãè² ããªãï¼
  * 
- *  $Id: check.h 356 2015-07-25 10:44:32Z ertl-hiro $
+ *  $Id: check.h 580 2016-02-03 11:03:59Z ertl-hiro $
  */
 
@@ -237,5 +237,5 @@
 
 /*
- *  äºç´å±æ§ã¨ã©ã¼ã®ãã§ãã¯ï¼E_PARï¼
+ *  äºç´å±æ§ã¨ã©ã¼ã®ãã§ãã¯ï¼E_RSATRï¼
  */
 #define CHECK_RSATR(atr, valid_atr) do {					\
